Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.crs.coordinatesystems
Class ProjectedCRS

    java.lang.Object
      org.deegree.crs.Identifiable
          org.deegree.crs.coordinatesystems.CoordinateSystem
              org.deegree.crs.coordinatesystems.ProjectedCRS

All Implemented Interfaces:
  Serializable

    public class ProjectedCRS

extends CoordinateSystem

A `ProjectedCRS` is a coordinatesystem defined with a projection and a geographic crs. It allows for transformation between projected coordinates (mostly in meters) and the lat/lon coordinates of the geographic crs and vice versa.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.crs.coordinatesystems.CoordinateSystem
`COMPOUND_CRS, GEOCENTRIC_CRS, GEOGRAPHIC_CRS, PROJECTED_CRS, VERTICAL_CRS`

Constructor Summary
`ProjectedCRS(List<PolynomialTransformation> transformations, Projection projection, Axis[] axisOrder, Identifiable identity)`
`ProjectedCRS(Projection projection, Axis[] axisOrder, Identifiable identity)`
`ProjectedCRS(Projection projection, Axis[] axisOrder, String identifier)`
`ProjectedCRS(Projection projection, Axis[] axisOrder, String[] identifiers)`
`ProjectedCRS(Projection projection, Axis[] axisOrder, String[] identifiers, String[] names, String[] versions, String[] descriptions, String[] areasOfUse)`
`ProjectedCRS(Projection projection, Axis[] axisOrder, String identifier, String name, String version, String description, String areaOfUse)`

Method Summary
`boolean` | `equals(Object other)`
`int` | `getDimension()`
`GeographicCRS` | `getGeographicCRS()`
`Projection` | `getProjection()`
`int` | `getType()`
`int` | `hashCode()` Implementation as proposed by Joshua Block in Effective Java (Addison-Wesley 2001), which supplies an even distribution and is relatively fast.
`String` | `toString()`

Methods inherited from class org.deegree.crs.coordinatesystems.CoordinateSystem
`convertToAxis, getAxis, getDatum, getDirectTransformation, getEasting, getGeodeticDatum, getNorthing, getTransformations, getTypeName, getUnits, hasDirectTransformation`

Methods inherited from class org.deegree.crs.Identifiable
`checkForNullObject, checkForNullObject, checkForNullObject, getAreaOfUse, getAreaOfUseBBox, getAreasOfUse, getDescription, getDescriptions, getIdAndName, getIdentifier, getIdentifiers, getName, getNames, getVersion, getVersions, hasID`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProjectedCRS

    public ProjectedCRS(Projection projection,
                        Axis[] axisOrder,
                        Identifiable identity)

Parameters:
  `projection` - the projection which converts coordinates from this ProjectedCRS into the underlying GeographicCRS and vice versa.
  `axisOrder` - of this projection.
  `identity` -

### ProjectedCRS

    public ProjectedCRS(Projection projection,
                        Axis[] axisOrder,
                        String[] identifiers,
                        String[] names,
                        String[] versions,
                        String[] descriptions,
                        String[] areasOfUse)

Parameters:
  `projection` - the projection which converts coordinates from this ProjectedCRS into the underlying GeographicCRS and vice versa.
  `axisOrder` - of this projection.
  `identifiers` -
  `names` -
  `versions` -
  `descriptions` -
  `areasOfUse` -

### ProjectedCRS

    public ProjectedCRS(Projection projection,
                        Axis[] axisOrder,
                        String[] identifiers)

Parameters:
  `projection` - the projection which converts coordinates from this ProjectedCRS into the underlying GeographicCRS and vice versa.
  `axisOrder` - of this projection.
  `identifiers` -

### ProjectedCRS

    public ProjectedCRS(Projection projection,
                        Axis[] axisOrder,
                        String identifier,
                        String name,
                        String version,
                        String description,
                        String areaOfUse)

Parameters:
  `projection` - the projection which converts coordinates from this ProjectedCRS into the underlying GeographicCRS and vice versa.
  `axisOrder` - of this projection.
  `identifier` -
  `name` -
  `version` -
  `description` -
  `areaOfUse` -

### ProjectedCRS

    public ProjectedCRS(Projection projection,
                        Axis[] axisOrder,
                        String identifier)

Parameters:
  `projection` - the projection which converts coordinates from this ProjectedCRS into the underlying GeographicCRS and vice versa.
  `axisOrder` - of this projection.
  `identifier` -

### ProjectedCRS

    public ProjectedCRS(List<PolynomialTransformation> transformations,
                        Projection projection,
                        Axis[] axisOrder,
                        Identifiable identity)

Parameters:
  `transformations` - to use instead of the helmert transformation.
  `projection` - the projection which converts coordinates from this ProjectedCRS into the underlying GeographicCRS and vice versa.
  `axisOrder` - of this projection.
  `identity` -

Method Detail

### getDimension

    public int getDimension()

  Specified by:
    `getDimension` in class `CoordinateSystem`
  Returns:
    the dimension of this CRS.

### getGeographicCRS

    public final GeographicCRS getGeographicCRS()

  Returns:
    the underlyingCRS.

### getType

    public final int getType()

  Specified by:
    `getType` in class `CoordinateSystem`
  Returns:
    one of the *_CRS types defined in this class.

### getProjection

    public final Projection getProjection()

  Returns:
    the projection.

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `CoordinateSystem`

### toString

    public String toString()

  Overrides:
    `toString` in class `CoordinateSystem`

### hashCode

    public int hashCode()

  Implementation as proposed by Joshua Block in Effective Java (Addison-Wesley 2001), which supplies an even distribution and is relatively fast. It is created from field f as follows:
  - boolean -- code = (f ? 0 : 1)
  - byte, char, short, int -- code = (int)f
  - long -- code = (int)(f ^ (f >>>32))
  - float -- code = Float.floatToIntBits(f);
  - double -- long l = Double.doubleToLongBits(f); code = (int)(l ^ (l >>> 32))
  - all Objects, (where equals( ) calls equals( ) for this field) -- code = f.hashCode( )
  - Array -- Apply above rules to each element

  Combining the hash code(s) computed above: result = 37 * result + code;

  Overrides:
    `hashCode` in class `CoordinateSystem`
  Returns:
    (int) ( result >>> 32 ) ^ (int) result;
  See Also:
    `Object.hashCode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org